Ticket #4376 (closed defect: fixed)

Opened 7 years ago

Last modified 7 years ago

承認待ちメンバーがいない時も行がないテーブルが表示される

Reported by: kudo Assigned to: kiwa
Priority: minor Milestone: OpenPNE2.14.4
Component: pne-admin Version: 2.14.x
Keywords: Cc:

Description (Last modified by kiwa)

■現象

承認制で、承認待ちリスト(m=admin&a=page_list_sns_entry)に承認待ちメンバーがいない状態でも行がないテーブルが表示されている。

#4337 参加時の管理者承認制でプロフィールが登録されない  において指摘された。(comment:ticket:4337:6

■原因

メンバーが0人の場合を考慮していなかった。

■修正内容

承認メンバーが0人の場合・検索の該当メンバーが0人の場合は、一覧表示のテーブルを表示せず「該当するメンバーが存在しません」メッセージを表示するように修正。

■関連情報

#4337 参加時の管理者承認制でプロフィールが登録されない

Change History

11/18/09 13:30:09 changed by kudo

  • description changed.

01/14/10 15:36:20 changed by imamura623

  • version set to 2.14.x.
  • component changed from 指定しない to pne-admin.
  • milestone set to OpenPNE2.14.4.

01/18/10 15:36:23 changed by imamura623

  • description changed.

01/19/10 19:01:43 changed by imamura623

  • owner changed from nobody to nagasawa.

01/21/10 17:30:52 changed by kiwa

  • owner changed from nagasawa to kiwa.
  • status changed from new to assigned.

やっちゃいます

01/21/10 17:51:47 changed by kiwa

  • keywords set to 確認中.
  • description changed.

以下のリビジョンで修正しました。

修正内容について

承認メンバーが0人の場合・検索の該当メンバーが0人の場合は、一覧表示のテーブルを表示せず「該当するメンバーが存在しません」メッセージを表示するように修正。

この仕様にした理由

監視機能が、該当記事が0件の場合にこのような表示になるので、その仕様に倣って修正しました。

元の修正案

 * 承認待ちメンバーがいない場合は、テーブルを表示せず「承認待ちのメンバーはいません」と表示する(ブラックリスト登録画面が参考になるかと思います)

ですが、このやり方だと仮に承認待ち一覧に表示される情報が増えた場合(プロフィール項目が全て表示されるような仕様変更があった場合)、<td colspan="">の値を対応させる必要がでてくるので、却下させてもらいました。申し訳ありません。

修正の表示が適用される条件

トータルの件数が0件の場合に表示されます($pager.total_num で判定)。そのため、「承認待ちが0件の場合」「検索結果が0件の場合」は適用されますが、表示件数0件のページを指定した場合(10件しかないのに100ページ目を指定など)は反映されません。

01/25/10 13:12:44 changed by itoda

確認しました。
問題ありませんでした。

01/27/10 18:50:55 changed by fukamachi

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

確認しました。